
print("Welcome to Motif Ready!")
print("Type /mon to turn on, /moff to turn off!")

mron = 0

local function turnonMR()
	mron = 1
	print("Motif watching is now on!")
end

local function turnoffMR()
	mron = 0
	print("Motif watching is now off!")
end

readytogo = 100

local function refresh()
	if mron == 1 then
	readytogo = readytogo -1
	
	if readytogo < 0 then
	
		  local bufflist = Inspect.Buff.List("player")
	
		  if not bufflist then return end 

		  local buffdetails = Inspect.Buff.Detail("player", bufflist)

		  local foundmotif = 0
  
		  for id, buff in pairs(buffdetails) do

	
			if id ~=nil then
			   if string.sub(buff.name,1,5) == "Motif" then 
				foundmotif = 1 
			   end
			end	
		  end

		  if foundmotif == 0 then print("CAST MOTIFS!") end
		  readytogo=100
	end
	end
end


table.insert(Event.System.Update.Begin, {refresh, "MotifReady", "refresh"})
table.insert(Command.Slash.Register("mon"), {function (params) turnonMR() end, "MotifReady", "Slash command"})
table.insert(Command.Slash.Register("moff"), {function (params) turnoffMR() end, "MotifReady", "Slash command"})
